Bug 187054 - Auto-mount options from device-notifier widget
Summary: Auto-mount options from device-notifier widget
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Plasma
Component: widget-devicenotifier (show other bugs)
Version: unspecified
Platform: openSUSE Linux
: NOR wishlist
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-13 15:37 UTC by Atri
Modified: 2009-11-04 20:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Atri 2009-03-13 15:37:31 UTC
Version:            (using KDE 4.2.1)
OS:                Linux
Installed from:    SuSE RPMs

It will be useful to have the device notifier pop up with a list of auto-mount options for removable media. In KDE 4.0 (openSUSE 11.0) this was the way the device-notifier worked: when a blank CD/DVD was inserted it popped up with an entry called something like 'Blank CD/DVD' and on clicking it a dialog-box opened that had the options like 'Burn a data CD','Make an audio CD', etc. This functionality seems to have disappeared from versions of KDE 4.1 and later. Really would be great to have some auto-mount options appropriate to the media inserted (audio cd, blank cd, video dvd etc.) integrated with the device-notifier. 

Just for information's sake, at the moment (KDE 4.1, 4.2) a blank CD/DVD does not register any entry in the device-notifier which means a CD drive with no CD and black cd are identical as far as device-notifier is concerned. This is not ideal.
Comment 1 Jacopo De Simoi 2009-11-01 11:42:17 UTC
(In reply to comment #0)
> It will be useful to have the device notifier pop up with a list of auto-mount
> options for removable media. In KDE 4.0 (openSUSE 11.0) this was the way the
> device-notifier worked: when a blank CD/DVD was inserted it popped up with an
> entry called something like 'Blank CD/DVD' and on clicking it a dialog-box
> opened that had the options like 'Burn a data CD','Make an audio CD', etc. 
 
> Just for information's sake, at the moment (KDE 4.1, 4.2) a blank CD/DVD does
> not register any entry in the device-notifier which means a CD drive with no CD
> and black cd are identical as far as device-notifier is concerned. This is not
> ideal.

The point is that if you don't have k3b installed there's no point in showing such options since you "can't" burn a cd. 
If k3b is installed, these options are correctly shown
Comment 2 Jacopo De Simoi 2009-11-04 20:06:54 UTC
SVN commit 1044842 by jacopods:

Embed related kcms in device notifier config dialog (http://reviewboard.kde.org/r/1979/)

FEATURE:187054
FEATURE:194894


 M  +1 -1      CMakeLists.txt  
 M  +8 -0      devicenotifier.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1044842